
Figure - Bug #118332
【IOVDEV-31141】【自动化测试】【稳定性测试】【VC1】稳定性测试，副屏黑屏（自动化台架1）
2023-05-29 14:22 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 100%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 屏厂更新软件

Description

【重启时间】：2023/5/24 18:00 ~ 5/25 09:30之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】

副屏正常可以操作

执行monkey稳定性测试

【实际结果】：副屏黑屏，主屏/仪表正常

【期望结果】：无黑屏、卡死、重启等严重问题

【备注】：

周六上班发现副屏黑屏

黑屏事件范围：5/26 18:00 ~27 09:00号之间

日志地址：

【VIN】：HRYTTESTVINMGM465

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-29 17:48 - CD SYSTEM-胡兵

等待测试同事上传日志

#2 - 2023-05-29 17:59 - CDTS-TEST 周婷

- Category changed from BSP to 黑屏

#3 - 2023-05-29 19:39 - CD SYSTEM-胡兵

- Status changed from New to NEED_INFO
- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 王成

#4 - 2023-05-31 13:52 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD SYSTEM-胡兵

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118332/5_29_1.7z

#5 - 2023-05-31 15:20 - CD SYSTEM-夏旭

- File dtc.log added

1. 从提供的log中看system_server并未重启，相关文件中的记录system_server启动次数的属性都1

 [sys.system_server.start_count]: [1]

2. 出现大量DTC_display 报错，具体请查看dtc.log文件

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00984_230526_044719.log:1291:05-26 04:47:22.130     0     0 E

[219576.537376] DTC_Display: screen not ready(0), bl_sta(1), lvl(89)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00985_230526_044722.log:260:05-26 04:47:24.044     0     0 E

[219578.449247] DTC_Display: Abnormal voltage: 0mV

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00985_230526_044722.log:261:05-26 04:47:24.044     0     0 E

[219578.449261] DTC_Display: screen not ready(0), bl_sta(1), lvl(89)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00985_230526_044722.log:935:05-26 04:47:26.176     0     0 E

[219580.577860] DTC_Display: Abnormal voltage: 0mV

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00985_230526_044722.log:936:05-26 04:47:26.176     0     0 E

[219580.577885] DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00985_230526_044722.log:1465:05-26 04:47:28.192     0     0 E

[219582.597283] DTC_Display: screen not ready(0), bl_sta(120), lvl(0)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00986_230526_044728.log:723:05-26 04:47:32.220     0     0 E

[219586.625703] DTC_Display: screen not ready(0), bl_sta(1), lvl(89)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00986_230526_044728.log:1257:05-26 04:47:34.236     0     0 E

[219588.644023] DTC_Display: screen not ready(0), bl_sta(1), lvl(89)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00987_230526_044735.log:482:05-26 04:47:36.248     0     0 E

[219590.653297] DTC_Display: screen not ready(0), bl_sta(1), lvl(89)

./tlog_sts40x190129_000051_0529140759/FSEM_000050_1471_0526044829/logcat/000050_persist_00987_230526_044735.log:1304:05-26 04:47:38.260     0     0 E

[219592.665284] DTC_Display: Abnormal voltage: 0mV

#6 - 2023-05-31 15:40 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-胡兵 to CD BSP-杜磊

Hi 杜磊:

请确认一下，是否display的问题

#7 - 2023-05-31 16:06 - CDTS-TEST 周婷

- Assignee changed from CD BSP-杜磊 to CD BSP-余霄
请进行分析

#8 - 2023-05-31 16:15 - CDTS-TEST 周婷

- Due date set to 2023-06-05

#9 - 2023-06-01 14:52 - CD BSP-余霄

目前，将这段时间的黑屏BUG做分类，如下：

1.屏端软件异常，电压异常、屏幕处于not ready状态等，需屏厂更新软件解决

2.主机端投屏ok，屏端背光未打开，主机端未做异常恢复机制。5.31合入代码解决。

3.no video异常，视频信号传输异常，该类BUG旧版本日志DTC无明显报错，5.31合入代码新增视频检测信号，并打印日志。

目前屏厂monkey测试出现2台异常，但现场未保留。正在让屏厂复现，并验证修改方案，预计验证OK后6.2号合入。

从日志中分析，该BUG为第1类。

目前5.31版本已提供VB给屏厂测试中，持续跟进屏厂测试结果中。

#10 - 2023-06-02 18:36 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Root cause set to 屏厂更新软件

与118378为同件BUG：

该BUG需要屏厂更新MCU软件，非主机端问题。

#11 - 2023-06-25 16:09 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

与118378为同件BUG：

该BUG需要屏厂更新MCU软件，非主机端问题。

#12 - 2023-06-25 16:09 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

dtc.log 40.5 MB 2023-05-31 CD SYSTEM-夏旭
